<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include layout="@layout/include_base_title" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="@dimen/dp_10">

        <LinearLayout
            android:id="@+id/onceTimeLayout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_55"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_10"
                android:src="@drawable/ic_settings" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="单次时长"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_16" />

            <TextView
                android:id="@+id/onceTimeView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_10"
                android:text="30s"
                android:textColor="@color/redTextColor"
                android:textSize="@dimen/sp_14" />

            <ImageView
                style="@style/rightImageStyle"
                android:layout_marginEnd="@dimen/dp_5" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical"
            android:orientation="vertical"
            android:paddingVertical="@dimen/dp_15">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_10"
                    android:src="@drawable/ic_settings" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="回差温度"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:id="@+id/tempDiffView"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_10"
                    android:layout_weight="1"
                    android:text="3"
                    android:textColor="@color/redTextColor"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/minTempView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_10"
                    android:text="3"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_14" />

                <com.qmuiteam.qmui.widget.QMUISlider
                    android:id="@+id/temperatureSlider"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    app:qmui_slider_bar_height="@dimen/dp_5"
                    app:qmui_slider_bar_normal_color="@color/lightMainThemeColor"
                    app:qmui_slider_bar_progress_color="@color/mainThemeColor"
                    app:qmui_slider_bar_thumb_size="@dimen/dp_25"
                    app:qmui_slider_bar_thumb_style_attr="QMUISliderThumbStyle" />

                <TextView
                    android:id="@+id/maxTempView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/dp_10"
                    android:text="15"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_14" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/keepTempTimeLayout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_55"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_solid_layout_white_radius_10"
            android:gravity="center_vertical">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_10"
                android:src="@drawable/ic_settings" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="保温时长"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_16" />

            <TextView
                android:id="@+id/keepTempTimeView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_10"
                android:text="30min"
                android:textColor="@color/redTextColor"
                android:textSize="@dimen/sp_14" />

            <ImageView
                style="@style/rightImageStyle"
                android:layout_marginEnd="@dimen/dp_5" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>